zenilib: zenilib/jni/external/freetype2/src/tools/apinames.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Enumerations | Functions | Variables
apinames.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`

Go to the source code of this file.

## Macros

#define | LINEBUFF_SIZE 1024
#define | PROGRAM_NAME "apinames"
#define | PROGRAM_VERSION "0.1"

## Typedefs

typedef struct NameRec_ * | Name
typedef struct NameRec_ | NameRec
typedef enum OutputFormat_ | OutputFormat
typedef enum State_ | State

## Enumerations

enum | OutputFormat_ { OUTPUT_LIST = 0, OUTPUT_WINDOWS_DEF, OUTPUT_BORLAND_DEF, OUTPUT_WATCOM_LBC }
enum | State_ { STATE_START = 0, STATE_TYPE }

## Functions

int | main (int argc, const char *const *argv)
static int | name_compare (const void *name1, const void *name2)
static void | names_add (const char *name, const char *end)
static void | names_dump (FILE *out, OutputFormat format, const char *dll_name)
static void | names_sort (void)
static void | panic (const char *message)
static int | read_header_file (FILE *file, int verbose)
static void | usage (void)

## Variables

static int | max_names
static int | num_names
static Name | the_names

## Macro Definition Documentation

#define LINEBUFF_SIZE 1024

Definition at line 27 of file apinames.c.

Referenced by read_header_file().

#define PROGRAM_NAME "apinames"

Definition at line 24 of file apinames.c.

Referenced by usage().

#define PROGRAM_VERSION "0.1"

Definition at line 25 of file apinames.c.

Referenced by usage().

## Typedef Documentation

typedef struct NameRec_ * Name

typedef struct NameRec_ NameRec

typedef enum OutputFormat_ OutputFormat

typedef enum State_ State

## Enumeration Type Documentation

enum OutputFormat_

Enumerator
OUTPUT_LIST |
OUTPUT_WINDOWS_DEF |
OUTPUT_BORLAND_DEF |
OUTPUT_WATCOM_LBC |

Definition at line 29 of file apinames.c.

enum State_

Enumerator
STATE_START |
STATE_TYPE |

Definition at line 201 of file apinames.c.

## Function Documentation

int main | ( | int | argc,
|  | const char *const * | argv
| ) |  |

Definition at line 326 of file apinames.c.

References file, names_dump(), names_sort(), NULL, num_names, OUTPUT_BORLAND_DEF, OUTPUT_LIST, OUTPUT_WATCOM_LBC, OUTPUT_WINDOWS_DEF, panic(), read_header_file(), and verbose.

static int name_compare | ( | const void * | name1,
|  | const void * | name2
| ) |  |

static

Definition at line 108 of file apinames.c.

Referenced by names_sort().

static void names_add | ( | const char * | name,
|  | const char * | end
| ) |  |

static

Definition at line 59 of file apinames.c.

References int, malloc, max_names, memcpy, NULL, num_names, panic(), realloc, and the_names.

Referenced by read_header_file().

static void names_dump | ( | FILE * | out,
|  | OutputFormat | format,
|  | const char * | dll_name
| ) |  |

static

Definition at line 126 of file apinames.c.

References memcpy, NULL, num_names, OUTPUT_BORLAND_DEF, OUTPUT_WATCOM_LBC, OUTPUT_WINDOWS_DEF, and the_names.

Referenced by main().

static void names_sort | ( | void |  | ) |

static

Definition at line 118 of file apinames.c.

References name_compare(), num_names, qsort(), and the_names.

Referenced by main().

static void panic | ( | const char * | message | ) |

static

Definition at line 40 of file apinames.c.

Referenced by main(), and names_add().

static int read_header_file | ( | FILE * | file,
|  | int | verbose
| ) |  |

static

Definition at line 209 of file apinames.c.

References LINEBUFF_SIZE, names_add(), STATE_START, and STATE_TYPE.

Referenced by main().

static void usage | ( | void |  | ) |

static

Definition at line 297 of file apinames.c.

References PROGRAM_NAME, and PROGRAM_VERSION.

## Variable Documentation

int max_names

static

Definition at line 56 of file apinames.c.

Referenced by names_add().

int num_names

static

Definition at line 55 of file apinames.c.

Referenced by load_format_20(), main(), names_add(), names_dump(), and names_sort().

Name the_names

static

Definition at line 54 of file apinames.c.

Referenced by names_add(), names_dump(), and names_sort().